#ifndef _QUEUE_H
#define _QUEUE_H

#define QPRIO_LOW		0	/* send when the high prio queue is empty */
#define QPRIO_HIGH		1	/* send asap - for pings, etc */

struct queue_struct
{
	struct queue_struct *next;
	int len;
	unsigned char *packet;
	int sent;	/* how much of the packet has been sent? */
};

void queue_add(unsigned char *packet, int len, int sent, int prio);
int queue_poll();
void queue_empty();
int queue_is_empty();

#endif
