#ifndef _WRAPPERS_H
#define _WRAPPERS_H

void *_ag_malloc(int size, unsigned char *file, int line);
void _ag_free(void *ptr, unsigned char *file, int line);
unsigned char *_ag_strdup(const unsigned char *s, unsigned char *file, int line);
unsigned char *ag_strncpy(unsigned char *dst, const unsigned char *str, int n);
unsigned char *MD5(const unsigned char *str, int len);
unsigned char *float2str(float v);
unsigned char *int2str(int v);
unsigned char *etc_file(unsigned char *path);
int file_exists(unsigned char *str);
int rdiv(int a, int b);
void capitalize_filename(unsigned char *ptr);
int get_lines();
int16 ag_ptr_int16(const unsigned char *ptr);
int32 ag_ptr_int32(const unsigned char *ptr);
unsigned char *ag_int16_ptr(const int16 v);
unsigned char *ag_int32_ptr(const int32 v);

#define ag_malloc(a)	_ag_malloc(a, __FILE__, __LINE__)
#define ag_strdup(a)	_ag_strdup(a, __FILE__, __LINE__)
#define ag_free(a)		_ag_free(a, __FILE__, __LINE__); a = NULL;

#endif
